Subject: Re: JNI functions under g++
From: [email-masked] (Mumit Khan)

29 Oct 1998 13:03:45 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: JAMES DOYLE <[email-masked]>
Cc: Gnu Win32 Mailing List <[email-masked]>

On Fri, 23 Oct 1998, JAMES DOYLE wrote:

> Hi,
> 	I've been using Gnu tools for years, but only 
> recently needed to use them under Win32.  The reason I wanted
> to try using the Win32 port is that I'm having mystifying problems
> under Microsoft Visual C++.  I've been able to use VC++ in the past
> to do JNI functions where I use malloc/free, but recently I've
> needed to access C++ libraries that use new/delete, and under VC++
> this is causing me problems.  Since things run fine on Solaris
> with g++, I figured I'd try g++ on Windows.

Fyi, with the latest changes I've submitted to cygwin, it's now possible
to build both C and C++ JNI DLLs with cygwin GCC. I only tried the most
trivial JNI DLLs, so let's see what more bugs are hiding. The test cases
did include memory allocation (both malloc and new families) and standard
I/O (both printf and iostreams).

I don't know if the changes will be accepted however (that depends on
the quality of the patch, and Geoffrey will have to decide if it's
ok).

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".